package com.jenny.compressedblocks.datagen;

import com.jenny.compressedblocks.CompressedBlocks;
import net.minecraft.data.PackOutput;
import net.minecraft.world.level.block.*;
import net.minecraftforge.client.model.generators.BlockStateProvider;
import net.minecraftforge.common.data.ExistingFileHelper;
import net.minecraftforge.registries.RegistryObject;

public class ModBlockStateProvider extends BlockStateProvider {
    public ModBlockStateProvider(PackOutput output, ExistingFileHelper exFileHelper) {
        super(output, CompressedBlocks.MODID, exFileHelper);
    }

    @Override
    protected void registerStatesAndModels() {
        blockWithItem(CompressedBlocks.COBBLESTONE_1X);
        blockWithItem(CompressedBlocks.COBBLESTONE_2X);
        blockWithItem(CompressedBlocks.COBBLESTONE_3X);
        blockWithItem(CompressedBlocks.COBBLESTONE_4X);

        blockWithItem(CompressedBlocks.ANDESITE_1X);
        blockWithItem(CompressedBlocks.ANDESITE_2X);
        blockWithItem(CompressedBlocks.ANDESITE_3X);
        blockWithItem(CompressedBlocks.ANDESITE_4X);

        blockWithItem(CompressedBlocks.DIORITE_1X);
        blockWithItem(CompressedBlocks.DIORITE_2X);
        blockWithItem(CompressedBlocks.DIORITE_3X);
        blockWithItem(CompressedBlocks.DIORITE_4X);

        blockWithItem(CompressedBlocks.GRANITE_1X);
        blockWithItem(CompressedBlocks.GRANITE_2X);
        blockWithItem(CompressedBlocks.GRANITE_3X);
        blockWithItem(CompressedBlocks.GRANITE_4X);

        blockWithItem(CompressedBlocks.CBLOCK_MINING);
    }

    private void blockWithItem(RegistryObject<Block> blockRegistryObject) {
        simpleBlockWithItem(blockRegistryObject.get(), cubeAll(blockRegistryObject.get()));
    }
}